WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Error: PHP is not running (10 posts)

  1. blumoondesign
    Member
    Posted 3 years ago #

    Hi I am just trying to install wordpress and getting this message
    Many Thanks
    Tim

    Error: PHP is not running
    WordPress requires that your web server is running PHP. Your server does not have PHP installed,
    or PHP is turned off.
    >
    get_var("SHOW TABLES LIKE '$wpdb->users'") != null ); // Ensure that Blogs appear in search
    engines by default $blog_public = 1; if ( ! empty( $_POST ) ) $blog_public = isset( $_POST
    ['blog_public'] ); $weblog_title = isset( $_POST['weblog_title'] ) ? trim( stripslashes( $_POST
    ['weblog_title'] ) ) : ''; $user_name = isset($_POST['user_name']) ? trim( stripslashes( $_POST
    ['user_name'] ) ) : 'admin'; $admin_password = isset($_POST['admin_password']) ? trim( stripslashes
    ( $_POST['admin_password'] ) ) : ''; $admin_email = isset( $_POST['admin_email'] ) ? trim
    ( stripslashes( $_POST['admin_email'] ) ) : ''; if ( ! is_null( $error ) ) { ?>
    db_version(); $php_compat = version_compare( $php_version, $required_php_version, '>=' );
    $mysql_compat = version_compare( $mysql_version, $required_mysql_version, '>=' ) || file_exists
    ( WP_CONTENT_DIR . '/db.php' ); if ( !$mysql_compat && !$php_compat ) $compat = sprintf( __
    ('You cannot install because WordPress %1$s requires PHP version %2$s or higher and MySQL
    version %3$s or higher. You are running PHP version %4$s and MySQL version %5$s.'),
    $wp_version, $required_php_version, $required_mysql_version, $php_version, $mysql_version );
    elseif ( !$php_compat ) $compat = sprintf( __('You cannot install because WordPress %1$s requires
    PHP version %2$s or higher. You are running version %3$s.'), $wp_version, $required_php_version,
    $php_version ); elseif ( !$mysql_compat ) $compat = sprintf( __('You cannot install because
    WordPress %1$s requires MySQL version %2$s or higher. You are running version %3$s.'),
    $wp_version, $required_mysql_version, $mysql_version ); if ( !$mysql_compat || !$php_compat )
    { display_header(); die('
    ' . __('Insufficient Requirements') . '
    ' . $compat . '
    <?php echo esc_attr( $weblog_title ); ?>
    <?php echo esc_attr( sanitize_ user( $user_name, true ) ); ?>
    <?php echo esc_attr( $admin_ email ); ?>
    />
    <?php esc_attr_e( 'Install WordPress' ); ?>
    Error: PHP is not running Page 1 of 2
    ftp://ftp.blumoon-design.co.uk/wordpress/wp-admin/install.php 19/08/2010

  2. Samuel B
    moderator
    Posted 3 years ago #

    try this in your BROWSER instead
    http://blumoon-design.co.uk/wordpress/wp-admin/install.php
    or wherever your install is

  3. blumoondesign
    Member
    Posted 3 years ago #

    Hi, thanks for reply but doesn't seem to work. The message is

    Error: PHP is not running
    WordPress requires that your web server is running PHP. Your server does not have PHP installed,
    or PHP is turned

    my webspace I have uploaded the file to is with 1and1.co.uk
    they apparantly are runninf php5 if that makes any sense?

    thanks

  4. Samuel B
    moderator
    Posted 3 years ago #

    add this to top of .htaccess to get php5
    AddType x-mapp-php5 .php

  5. Mark
    Member
    Posted 3 years ago #

    @Samuel B:

    That should probably be more like this:

    AddType x-mapp-php5 .php
    AddHandler x-mapp-php5 .php

    And that needs to be added to a .htaccess file that is either located in your Web site root directory, or to .htaccess located in your WordPress directory.

    If the .htaccess file doesn't exist then create it.

  6. Samuel B
    moderator
    Posted 3 years ago #

    according to 1 and 1 all that's needed is the one line but the 2nd sure won't hurt anything and may be needed

  7. blumoondesign
    Member
    Posted 3 years ago #

    Hi
    Thanks to you both. I have created a .htaccess file with the AddType x-mapp-php5 .php
    AddHandler x-mapp-php5 .php
    and uploaded it to my root directory and also into the WordPress directory but when I click on the install.php file I still get this message
    Error: PHP is not running
    WordPress requires that your web server is running PHP. Your server does not have PHP installed, or PHP is turned off.

    If no solution can be found, can you recommend a better server that will run wordpress?

    Thanks, Tim

  8. Samuel B
    moderator
    Posted 3 years ago #

    talk to host - surely they can enable php or tell you why this message

  9. blumoondesign
    Member
    Posted 3 years ago #

    I have contacted them, so will await to see what they say
    many thanks again for your help
    Tim

  10. blumoondesign
    Member
    Posted 3 years ago #

    Just so you now incase this comes up in the future
    with 1and1.co.uk you have to upgrade to a more expensive hosting package before you can install WordPress as php isn't available on the standard package

    Thanks

Topic Closed

This topic has been closed to new replies.

About this Topic